## gemdropx 0.7

=== Makefile ===
# makefile for gemdropx

# Gem Drop X

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/

# Atari version: August 17, 1997 - September 24, 1997
# X Window version: November 5, 1997 - November 21, 1997
# X Window Updates: July 29, 1998- March 28, 1999
# 100% SDL Version: December 27, 1999


DATA_PREFIX=data
SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs)


MIXER=-lmixer
NOSOUNDFLAG=$(SOUND)SOUND
JOYFLAG=$(JOY)JOYSTICK


CFLAGS=-Wall $(SDL_CFLAGS) \
	-DDATA_PREFIX=\"$(DATA_PREFIX)\" -D$(NOSOUNDFLAG) -D$(JOYFLAG)
SDL_LIB=$(MIXER) $(SDL_LDFLAGS)


all:	gemdropx

nosound:
	make MIXER= NOSOUNDFLAG=NOSOUND JOY=$(JOY)

clean:
	-rm gemdropx
	-rm *.o


gemdropx:	gemdropx.o
	$(CC) $(CFLAGS) -o gemdropx gemdropx.o $(SDL_LIB)


gemdropx.o:	gemdropx.c
