=== debian/control ===
Source: gemdropx
Maintainer: Christian T. Steigies <cts@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsdl-mixer1.2-dev,
               libsdl1.2-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/gemdropx
Vcs-Git: https://salsa.debian.org/debian/gemdropx.git
Homepage: http://www.newbreedsoftware.com/gemdropx

Package: gemdropx
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Gem Drop X is an interesting one-player puzzle game for X11
 The game is played with YOU at the bottom of the screen.  At the
 top is a random assortment of colored shapes ("gems").  As time
 goes on, more gems appear at the very top of the screen, pushing the
 rest downwards.  The game is over when the gems reach the bottom.
 .
 It's your job to keep the screen from filling up.  You do this by
 "grabbing" gems from the top of the screen, carrying them around,
 if need be, and "throwing" them back up.
 .
 If, when you throw some gems back up, you create a "match" of 3 or more
 gems in a vertical column, they disappear (with a cool little explosion).
 At this point, if there are any "matches" of the same gem to the left or
 right of this column, they disappear too!  And so on.  This is great for
 cool chain-reactions! You also get more points for the more gems that
 disappear in a match.  (Matching four gives as many points as matching
 three twice, for example.)
