=== debian/watch ===
version=4
ftp://ftp.tuxpaint.org/unix/x/gemdropx/src/gemdropx-(.+)\.tar\.gz
debian uupdate
